from queue import Queue

NIESKONCZONOSC = 1000000001

def bfs(a, b):
  global NIESKONCZONOSC
  odleglosc = [NIESKONCZONOSC] * (max(a,b)+1)

  odleglosc[a] = 0
  kolejka = Queue()
  kolejka.put(a)

  while not kolejka.empty():
    u = kolejka.get()
    for v in [u//2, 2*u, 2*u+1]:
      if (v >= 1) and (v <= max(a, b)) and (odleglosc[v] == NIESKONCZONOSC):
        odleglosc[v] = odleglosc[u] + 1
        kolejka.put(v)

  return odleglosc[b]


q = int(input())
for _ in range(q):
  a, b = map(int, input().split())
  print(bfs(a, b))
